import React, { createContext, useContext } from "react";
var PaneCtx = createContext();
export function usePane() {
  var pane = useContext(PaneCtx);
  return pane;
}
export function PaneProvider(_ref) {
  var value = _ref.value,
      children = _ref.children;
  return React.createElement(PaneCtx.Provider, {
    value: value
  }, children);
}