import { SET_SPLIT_RATIO, SPLIT, JOIN, SET_SPLIT_RATIOS, SET_SIZE, SET_BLOCK, SET_CORNER_DOWN, SET_DIVIDER_DOWN, SET_STATE, SET_PANE_PROPS, SET_CORNER_HOVER, SET_DIVIDER_STYLES } from "./constants";
export function setState(state) {
  return {
    type: SET_STATE,
    state: state
  };
}
export function setPaneProps(id, props) {
  return {
    type: SET_PANE_PROPS,
    id: id,
    props: props
  };
}
export function setSplitRatio(id, splitRatio) {
  return {
    type: SET_SPLIT_RATIO,
    splitRatio: splitRatio,
    id: id
  };
}
export function setSplitRatios(panes) {
  return {
    type: SET_SPLIT_RATIOS,
    panes: panes
  };
}
export function split(id, splitType, startX, startY) {
  return {
    type: SPLIT,
    id: id,
    splitType: splitType,
    startX: startX,
    startY: startY
  };
}
export function join(retainId, removeId) {
  return {
    type: JOIN,
    retainId: retainId,
    removeId: removeId
  };
}
export function setSize(width, height) {
  return {
    type: SET_SIZE,
    width: width,
    height: height
  };
}
export function setBlock(displayBlock) {
  return {
    type: SET_BLOCK,
    displayBlock: displayBlock
  };
}
export function setCornerHover(cornerHover) {
  return {
    type: SET_CORNER_HOVER,
    cornerHover: cornerHover
  };
}
export function setCornerDown(cornerDown) {
  return {
    type: SET_CORNER_DOWN,
    cornerDown: cornerDown
  };
}
export function setDividerDown(divider) {
  return {
    type: SET_DIVIDER_DOWN,
    divider: divider
  };
}
export function setDividerStyles(_ref) {
  var borderColor = _ref.borderColor,
      cellSpaceColor = _ref.cellSpaceColor,
      borderSize = _ref.borderSize,
      cellSpacing = _ref.cellSpacing,
      touchMargin = _ref.touchMargin;
  return {
    type: SET_DIVIDER_STYLES,
    borderColor: borderColor,
    cellSpaceColor: cellSpaceColor,
    borderSize: borderSize,
    cellSpacing: cellSpacing,
    touchMargin: touchMargin
  };
}